<?php
// start.php
//
// usage:
// php start.php pusher1   開始背景運行 pusher1.php
// php start.php pusher1 pusher2 ...   開始背景運行 pusher1.php pusher2.php ...
//
if(isset($argv[1])){
  $platform=substr(PHP_OS,0,3);
  array_shift($argv);
  if($platform=='WIN')
    _win_start($argv);
  else
    _linux_start($argv);
}
else{
  echo "must specify a pusher name!\n";
}

function _win_start($pushers){
  $WshShell = new COM("WScript.Shell");
  foreach($pushers as $pusher){
    if(file_exists($pusher.'.php')){
      $cmd=join(' ', array('cmd /c php', $pusher.'.php', '> nul'));
      echo $cmd."<br>\n";
      $WshShell->Run($cmd, 0);
    }
    else{
      echo "${pusher}.php does not exist!<br>\n";
    }
  }
}

function _linux_start($pushers){
  $phpcli='php';
  if(get_current_user()=='ujcom1')
    $phpcli='php-cli';
  foreach($pushers as $pusher){
    if(file_exists($pusher.'.php')){
      $cmd=join(' ', array($phpcli, $pusher.'.php', '> /dev/null 2>&1 &'));
      echo $cmd."<br>\n";
      exec($cmd, $output);
    }
    else{
      echo "${pusher}.php does not exist!<br>\n";
    }
  }
}

?>
