<?php
require('../../libphp/exo/exolib.php');

function http_api_read($client, $points){
  list($http_code, $response, $header_out) = $client->read($points);
  switch($http_code){
    case '200':
      echo $response."\n";
      break;
    case '204':
      echo "data point not exist!"."\n";
      break;
    case '401':
      echo "Invlaid CIK!"."\n";
      break;
    default:
      echo "**** http_code **** ".$http_code."\n";
      break;
  }
}

function http_api_write($client, $data_list){
  list($http_code, $response, $header_out) = $client->write($data_list);
  switch($http_code){
    case '204':
      echo "data written!"."\n";
      break;
    case '401':
      echo "Invlaid CIK!"."\n";
      break;
    default:
      echo "**** http_code **** ".$http_code."\n";
      break;
  }
}

$cik='9c3b3e1ec45a7033c2b824b9dd9233b70e7f9314';
$client = new ExoHTTP($cik);  
http_api_write($client, 'CH1=30&CH2=40&OpMode=1');
http_api_read($client, 'CH1&CH2&OpMode');
http_api_write($client, 'CH1=50&CH2=60&OpMode=1');
http_api_read($client, 'CH1&CH2&OpMode');

?>
