<?php

//convert simple data array to jquery-flot data series
//[a,b,c,d] => [[1,a],[2,b],[3,c],[4,d]]
function to_flot_series($ary){
  $data=[];
  for($i=0;$i<count($ary);$i++){
    array_push($data, [$i, $ary[$i]]);
  }
  return $data;
}

$f3=require('../../libphp/f3/lib/base.php');

$f3->route('GET /',
    function() {
        include('./main.html');
    }
);

$f3->route('GET /pusher/start/@num',
    function($f3) {
        $CH1=[];$CH2=[];
        $num=$f3->get('PARAMS.num');
        for($i=$num;$i<$num+24;$i++){
          array_push($CH1, round(5*sin($i*M_PI/12),2));
          array_push($CH2, round(5*cos($i*M_PI/12),2));
        }
        //[series1, series2]
        echo json_encode([
          to_flot_series($CH1),
          to_flot_series($CH2)
        ]);
    }
);

$f3->route('GET /pusher/stop',
    function() {
        //echo 'Pusher Stop!';
    }
);

$f3->run();
