<?php
class exoRPC{
	const Header='Content-Type:application/json;charset=utf-8';
	const exoURL='http://m2.exosite.com/onep:v1/rpc/process';
	private $debug;
	private $OS="LINUX";
	private $payload=array('auth'=>"", 'calls'=>array());

	function __construct($cik, $debug=False){
		$this->debug=$debug;
		$this->payload['auth']=array("cik"=>$cik);
		if(strtoupper(substr(PHP_OS,0,3)) === 'WIN'){
			$this->OS="WIN";
		}
	}
	function write($alias, $value){
		$task=array(
			'id'=>56,
			'procedure'=>'write',
			'arguments'=>array(
				array('alias'=>$alias),
				$value
			)
		);
		$this->payload['calls']=array($task);
		$cmd=$this->_build_shell_cmd();
		exec($cmd, $output);
		return $output[0];
	}

	function read($alias, $limit){
		return $this->_read($alias, array("limit"=>$limit));
	}

	private function _read($alias, $condition){
		$task=array(
			'id'=>56,
			'procedure'=>'read',
			'arguments'=>array(
				array('alias'=>$alias), 
				$condition
			)
		);

		$this->payload['calls']=array($task);
		$cmd=$this->_build_shell_cmd();
		exec($cmd, $output);
		return $output[0];
	}

	private function _build_shell_cmd(){
		$json=json_encode($this->payload);
		$cmd="curl -s";
		if($this->OS=="WIN"){
			$cmd.=" -H ".self::Header;
			$cmd.=" -d ".str_replace('"','\"',$json);
			$cmd.=" ".self::exoURL;
		}
		else{
			$cmd.=" -H "."'".self::Header."'";
			$cmd.=" -d "."'".$json."'";
			$cmd.=" ".self::exoURL;
		}
		if($this->debug) echo $cmd."\n\n";
		return $cmd;
	}
}

?>
