<?php
class exoTask{
  var $id, $call, $setting;
  function __construct($proc, $alias, $setting){
    $this->id=$proc.$alias;
    $this->setting=$setting;
    $this->call=array(
      'id'=>$this->id,
      'procedure'=>$proc,
      'arguments'=>array(
        array('alias'=>$alias),
        $this->setting,
      ),
    );
  }
}

class exoCurl{
  const Header='Content-Type:application/json;charset=utf-8';
  const exoURL='http://m2.exosite.com/onep:v1/rpc/process';
  const CIK = '9c3b3e1ec45a7033c2b824b9dd9233b70e7f9314';
  static function build_cmd($calls){
    $payload=array(
    'auth'=>array('cik'=>self::CIK),
    'calls'=>$calls,
    );
    $json=json_encode($payload);
    if(strtoupper(substr(PHP_OS,0,3))=='WIN'){
      $data=str_replace('"','\"',$json);
      $header = self::Header;
    }
    else{
      $data="'".$json."'";
      $header = "'".self::Header."'";
    }

    $cmd="curl -s";
    $cmd.=" -H ".$header;
    $cmd.=" -d ".$data;
    $cmd.=" ".self::exoURL;

    return $cmd;
    }
}

class exoRPC{
  static function perform($tasks){
    $calls=array();
    foreach($tasks as $task){
      array_push($calls, $task->call);
    }
    $cmd=exoCurl::build_cmd($calls);
    //echo $cmd."\n";
    exec($cmd, $output);
    return json_decode($output[0], true);
  }
}

?>
