<?php
//
// pusher1.php
//

require_once('lib/pusher.class.php');

class MyPusher extends Pusher{
  private $counter=0;
  function __construct($name){
    parent::__construct($name);
  }
  //
  //implements abstract method
  //
  function get_new_data(){
    if($this->counter==360)
      $this->counter=0;
    $x=M_PI*($this->counter)/60; // every 3 degree
    $v1 = round(sin($x)*sin(20*$x)*3, 2);
    $v2 = round(cos($x*3)*5, 2);
    $this->counter++;
    return array('CH1'=>$v1, 'CH2'=>$v2);
  }
}

$mypusher = new MyPusher(basename(__FILE__, '.php'));
$mypusher->run();
?>
