<?php
class ExoHTTP{
  const OneP='http://m2.exosite.com/onep:v1/stack/alias';
  private $headers=array(
      'Content-Type: application/x-www-form-urlencoded; charset=utf-8',
      'Accept:application/x-www-form-urlencoded; charset=utf-8',
  );

  public function __construct($cik){
    array_push($this->headers,'X-Exosite-CIK:'.$cik);
  }

  public function read($points){
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_HTTPGET, True); // GET Method
    curl_setopt($ch, CURLOPT_URL, self::OneP.'?'.$points);

    $this->set_common_options($ch);
    return $this->exec_curl($ch);
  }

  public function write($data_list){
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, self::OneP);
    curl_setopt($ch, CURLOPT_POST, True); // POST Method
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_list);

    $this->set_common_options($ch);
    return $this->exec_curl($ch);
  }

 private function set_common_options($ch){
    curl_setopt($ch, CURLOPT_HTTPHEADER, $this->headers);
    //讓 curl_exec() 輸出字串,而不是直接輸出至 output stream
    curl_setopt($ch, CURLOPT_RETURNTRANSFER,True); 
    curl_setopt($ch, CURLOPT_TIMEOUT,10);//10秒
    curl_setopt($ch, CURLINFO_HEADER_OUT, True); // for debug
 }

 private function exec_curl($ch){
    $response = curl_exec($ch);
    $http_code= curl_getinfo($ch)['http_code'];
    $header_out = curl_getinfo($ch, CURLINFO_HEADER_OUT);
    curl_close($ch);
    return array($http_code, $response, $header_out);
 }
}  
?>